=== debian/changelog ===
mistral (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-mistral conflicts on each other.
    - d/python(3)-mistral.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.
    - d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:24:38 -0400

mistral (7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 15:07:10 -0400

mistral (7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/control: Update Standards-Version to 4.1.4.
  * d/tests/mistral-shebangs-py*: Fix typos.
  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with pkgos-dh_auto_test.
  * d/p/skip-test.patch: Partial skip of failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 12:28:36 -0400

mistral (6.0.0-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-mistral package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      mistral-common depends on python-mistral by default and python3-mistral
      as alternative.
    - d/control: Drop ${python3:Depends} from mistral-* binary packages
      as it's covered in python3-mistral.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/rules: Enforce successful test execution.
    - d/mistral-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-mistral.post*, d/python(3)-mistral.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-mistral.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for mistral daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/mistral-event-engine.init.in: Add init for mistral-event-engine.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 13:48:46 -0400

mistral (6.0.0-3) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:50:46 +0000

mistral (6.0.0-2) unstable; urgency=medium

  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:16:33 +0000

mistral (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 21:44:37 +0000

mistral (6.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.
  * Fixed debian/copyright holders list and years.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 13:53:43 +0000

mistral (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added missing EPOCH for mistralclient.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 21:38:30 +0000

mistral (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * d/copyright: Changed source URL to https protocol.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * debian/rules: remove things defined in openstack-pkg-tools.
  * Remove sqlalchemy version patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 13:54:27 +0200
