=== debian/tests/control ===
Tests: mistral-daemons, mistral-shebangs-py3
Depends: python3-mistral, mistral-common, mistral-engine,
 mistral-event-engine, mistral-executor, mistral-api
Restrictions: needs-root

Tests: mistral-daemons, mistral-shebangs-py2
Depends: mistral-common, mistral-engine,
 mistral-event-engine, mistral-executor, mistral-api
Restrictions: needs-root
