## mistral 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 croniter>=0.3.4 # MIT License
 cachetools>=2.0.0 # MIT License
+dogpile.cache>=0.6.2 # BSD
 eventlet!=0.20.1,>=0.20.0 # MIT
 gnocchiclient>=3.3.1 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 jsonschema<3.0.0,>=2.6.0 # MIT
-keystonemiddleware>=4.17.0 # Apache-2.0
+keystonemiddleware>=4.18.0 # Apache-2.0
 mistral-lib>=0.4.0 # Apache-2.0
 networkx>=1.10 # BSD
 oslo.concurrency>=3.26.0 # Apache-2.0
