=== debian/changelog ===
mistral (8.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 09:30:30 +0000

mistral (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:59:14 +0100

mistral (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:48:36 -0400

mistral (8.0.0~b2-0ubuntu1) disco; urgency=medium

  * New upstream release for Openstack Stein
  * d/watch: Align to the new release version 8.X

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@gmail.com>  Thu, 14 Mar 2019 16:21:14 +0000

mistral (8.0.0~b1~git2019013041.81af1b48-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 17:45:30 +0000

mistral (8.0.0~b1~git2018111913.70d2beac-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:33 -0500
