=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -19,84 +19,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python-aodhclient (>= 0.9.0),
- python-alembic (>= 0.8.10),
- python-babel (>= 2.3.4),
- python-barbicanclient (>= 4.5.2),
- python-cachetools (>= 2.0.0),
- python-cinderclient (>= 1:3.3.0),
- python-coverage (>= 4.0),
- python-croniter (>= 0.3.4),
- python-designateclient (>= 2.7.0),
- python-docutils,
- python-eventlet (>= 0.20.0),
- python-fixtures (>= 3.0.0),
- python-glanceclient (>= 1:2.8.0),
- python-glareclient (>= 0.3.0),
- python-gnocchiclient (>= 3.3.1),
- python-hacking (>= 0.12.0),
- python-heatclient (>= 1.10.0),
- python-ironic-inspector-client (>= 1.5.0),
- python-ironicclient (>= 2.3.0),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-jwt (>= 1.0.1),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-magnumclient (>= 2.1.0),
- python-manilaclient (>= 1.23.0),
- python-mistral-lib (>= 0.4.0),
- python-mistralclient (>= 1:3.1.0),
- python-mock (>= 2.0.0),
- python-muranoclient (>= 0.8.2),
- python-networkx (>= 1.10),
- python-neutronclient (>= 1:6.7.0),
- python-nose (>= 1.3.7),
- python-novaclient (>= 2:9.1.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-api-ref (>= 1.4.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.20.0),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-osprofiler (>= 1.4.0),
- python-paramiko (>= 2.0.0),
- python-pecan (>= 1.2.1),
- python-pep8,
- python-qinlingclient (>= 1.0.0),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-senlinclient (>= 1.1.0),
- python-six (>= 1.10.0),
- python-sphinxcontrib-pecanwsme (>= 0.8.0),
- python-sphinxcontrib.httpdomain (>= 1.3.0),
- python-sqlalchemy (>= 1.2.5),
- python-stestr,
- python-stevedore (>= 1:1.20.0),
- python-swiftclient (>= 1:3.2.0),
- python-tackerclient (>= 0.8.0),
- python-tempest (>= 1:17.1.0),
- python-tenacity (>= 4.4.0),
- python-testtools (>= 2.2.0),
- python-tooz (>= 1.58.0),
- python-troveclient (>= 1:2.2.0),
- python-unittest2 (>= 1.1.0),
- python-vitrageclient (>= 2.0.0),
- python-wsme (>= 0.8.0),
- python-yaml (>= 3.12),
- python-yaql (>= 1.1.3),
- python-zake (>= 0.1.6),
- python-zaqarclient (>= 1.0.0),
- python-zunclient (>= 1.0.0),
  python3-alembic (>= 0.8.10),
  python3-aodhclient (>= 0.9.0),
  python3-babel (>= 2.3.4),
@@ -107,6 +29,7 @@
  python3-croniter (>= 0.3.4),
  python3-designateclient (>= 2.7.0),
  python3-docutils,
+ python3-dogpile.cache,
  python3-eventlet (>= 0.20.0),
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.8.0),
@@ -131,6 +54,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-nose (>= 1.3.7),
  python3-novaclient (>= 2:9.1.0),
+ python3-oauthlib (>= 0.6.2),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-api-ref (>= 1.4.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -151,6 +75,7 @@
  python3-pecan (>= 1.2.1),
  python3-pep8,
  python3-qinlingclient (>= 1.0.0),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-senlinclient (>= 1.1.0),
@@ -158,7 +83,7 @@
  python3-sphinxcontrib-pecanwsme (>= 0.8.0),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
  python3-sqlalchemy (>= 1.2.5),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-tackerclient (>= 0.8.0),
@@ -211,7 +136,7 @@
  adduser,
  dbconfig-common,
  debconf,
- python-mistral (= ${binary:Version}) | python3-mistral (= ${binary:Version}),
+ python3-mistral (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
 Description: OpenStack Workflow service - common files
@@ -287,56 +212,86 @@
  .
  This package contains the Executor.
 
-Package: python-mistral
+Package: python3-mistral
 Section: python
 Architecture: all
 Depends:
  alembic (>= 0.8.10),
- python-alembic (>= 0.8.10),
- python-aodhclient (>= 0.9.0),
- python-babel (>= 2.3.4),
- python-barbicanclient (>= 4.5.2),
- python-cachetools (>= 2.0.0),
- python-cinderclient (>= 1:3.3.0),
- python-croniter (>= 0.3.4),
- python-designateclient (>= 2.7.0),
- python-eventlet (>= 0.20.0),
- python-glanceclient (>= 1:2.8.0),
- python-glareclient (>= 0.3.0),
- python-gnocchiclient (>= 3.3.1),
- python-heatclient (>= 1.10.0),
- python-ironic-inspector-client (>= 1.5.0),
- python-ironicclient (>= 2.3.0),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-jwt (>= 1.0.1),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-magnumclient (>= 2.1.0),
- python-manilaclient (>= 1.23.0),
- python-mistral-lib (>= 0.4.0),
- python-mistralclient (>= 1:3.1.0),
- python-muranoclient (>= 0.8.2),
- python-networkx (>= 1.10),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.20.0),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-osprofiler (>= 1.4.0),
- python-paramiko (>= 2.0.0),
- python-pbr (>= 2.0.0),
- python-pecan (>= 1.2.1),
- python-pymysql,
- python-qinlingclient (>= 1.0.0),
- python-requests (>= 2.14.2),
- python-senlinclient (>= 1.1.0),
+ python3-alembic (>= 0.8.10),
+ python3-aodhclient (>= 0.9.0),
+ python3-babel (>= 2.3.4),
+ python3-barbicanclient (>= 4.5.2),
+ python3-cachetools (>= 2.0.0),
+ python3-cinderclient (>= 1:3.3.0),
+ python3-croniter (>= 0.3.4),
+ python3-designateclient (>= 2.7.0),
+ python3-eventlet (>= 0.20.0),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-glareclient (>= 0.3.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-heatclient (>= 1.10.0),
+ python3-ironic-inspector-client (>= 1.5.0),
+ python3-ironicclient (>= 2.3.0),
+ python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 2.6.0),
+ python3-jwt (>= 1.0.1),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-magnumclient (>= 2.1.0),
+ python3-manilaclient (>= 1.23.0),
+ python3-mistral-lib (>= 0.4.0),
+ python3-mistralclient (>= 1:3.1.0),
+ python3-muranoclient (>= 0.8.2),
+ python3-networkx (>= 1.10),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:9.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.20.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-paramiko (>= 2.0.0),
+ python3-pbr (>= 2.0.0),
+ python3-pecan (>= 1.2.1),
+ python3-pymysql,
+ python3-qinlingclient (>= 1.0.0),
+ python3-requests (>= 2.14.2),
+ python3-senlinclient (>= 1.1.0),
+ python3-setuptools,
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-tackerclient (>= 0.8.0),
+ python3-tenacity (>= 4.4.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-vitrageclient (>= 2.0.0),
+ python3-wsme (>= 0.8.0),
+ python3-yaml (>= 3.12),
+ python3-yaql (>= 1.1.3),
+ python3-zake (>= 0.1.6),
+ python3-zaqarclient (>= 1.0.0),
+ python3-zunclient (>= 1.0.0),
+ ${misc:Depends},
+ ${python3:Depends},
+Description: OpenStack Workflow Service - Python 3 libraries
+ Mistral is a workflow service. Most business processes consist of multiple
+ distinct interconnected steps that need to be executed in a particular order
+ in a distributed environment. One can describe such process as a set of tasks
+ and task relations and upload such description to Mistral so that it takes
+ care of state management, correct execution order, parallelism,
+ synchronization and high availability. Mistral also provides flexible task
+ scheduling so that it can run a process according to a specified schedule
+ (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
+ tasks and relations between them is called a workflow.
+ .
+ This package contains the Python 3 libraries.
