=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python2,python3,systemd
+	dh $@  --with python3,systemd
 
 override_dh_clean:
 	dh_clean
@@ -11,7 +11,6 @@
 	rm -rf debian/mistral-common.postrm debian/*.templates debian/po
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_auto_build:
@@ -30,23 +29,10 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# NOTE(coreycb) Skip Py3.7 tests until they run successfully upstream:
-	#https://bugs.launchpad.net/mistral/+bug/1790001
-	# pkgos-dh_auto_test
-	echo "===> Running tests"
-	set -ex ; for i in 2.7 3.6 ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .stestr ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-stestr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		rm -rf .stestr ; \
-	done
+	pkgos-dh_auto_test --no-py2
 endif
